Subject: [http-state] [Errata Rejected] RFC6265 (4043)

From: RFC Errata System <[email-masked]>
Date: Sat, 12 Jul 2014 07:15:01 -0700 (PDT)

The following errata report has been rejected for RFC6265,
"HTTP State Management Mechanism".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6265&eid=4043

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Pierre Lepropre <[email-masked]>
Date Reported: 2014-07-06
Rejected by: Barry Leiba (IESG)

Section: 5.1.4

Original Text
-------------
The user agent MUST use an algorithm equivalent to the following
algorithm to compute the default-path of a cookie:

Corrected Text
--------------
The user agent MUST use an algorithm equivalent to the following
algorithm to compute the default value for a cookie-path 
(and thereby matching the server-side semantics as defined in 4.1.2.4):

Notes
-----
The term "default-path" is not formally defined before and is quite misleading for the reader 
  A. going through the section 5.1.4 as it's only used there once and not again
     until section 5.2.4 (once again) and 5.3 (once again).
  B. not being a native English speaker

Furthermore, the true meaning of the "default-path" only appears sometime after at section 5.2.4 where it's finally bound altogether. Therefore, my personal recommendation would be to also replace the other occurrences of the "default-path" terms by "default cookie-path"
 --VERIFIER NOTES-- 
This report is actually an enhancement request.  The discussion of this report on the http-state mailing list should be reviewed if the document is ever revised.

--------------------------------------
RFC6265 (draft-ietf-httpstate-cookie-23)
--------------------------------------
Title               : HTTP State Management Mechanism
Publication Date    : April 2011
Author(s)           : A. Barth
Category            : PROPOSED STANDARD
Source              : HTTP State Management Mechanism
Area                : Applications
Stream              : IETF
Verifying Party     : IESG